diff --git a/arch/arm/cpu/armv7/zynq/Kconfig b/arch/arm/cpu/armv7/zynq/Kconfig
index 2482bbb..6e61ba0 100644
--- a/arch/arm/cpu/armv7/zynq/Kconfig
+++ b/arch/arm/cpu/armv7/zynq/Kconfig
@@ -24,6 +24,8 @@ config TARGET_ZYNQ_AFX
 config TARGET_ZYNQ_CSE
 	bool "Zynq CSE Board"
 
+config TARGET_ZYNQ_REDPITAYA
+	bool "Zynq Red Pitaya"
 endchoice
 
 config SYS_BOARD
@@ -43,5 +45,5 @@ config SYS_CONFIG_NAME
 	default "zynq_zybo" if TARGET_ZYNQ_ZYBO
 	default "zynq_cse" if TARGET_ZYNQ_CSE
 	default "zynq_afx" if TARGET_ZYNQ_AFX
-
+	default "zynq_redpitaya" if TARGET_ZYNQ_REDPITAYA
 endif
diff --git a/configs/zynq_redpitaya_defconfig b/configs/zynq_redpitaya_defconfig
new file mode 100644
index 0000000..e0daabc
--- /dev/null
+++ b/configs/zynq_redpitaya_defconfig
@@ -0,0 +1,6 @@
+CONFIG_SPL=y
++S:CONFIG_ARM=y
++S:CONFIG_ZYNQ=y
++S:CONFIG_TARGET_ZYNQ_REDPITAYA=y
+CONFIG_OF_CONTROL=n
+CONFIG_DEFAULT_DEVICE_TREE="zynq-zed"
diff --git a/include/configs/zynq_redpitaya.h b/include/configs/zynq_redpitaya.h
new file mode 100644
index 0000000..436534e
--- /dev/null
+++ b/include/configs/zynq_redpitaya.h
@@ -0,0 +1,29 @@
+/*
+ * (C) Copyright 2013 Xilinx, Inc.
+ *
+ * Configuration for Zynq Evaluation and Development Board - ZedBoard
+ * See zynq-common.h for Zynq common configs
+ *
+ * SPDX-License-Identifier:	GPL-2.0+
+ */
+
+#ifndef __CONFIG_ZYNQ_ZED_H
+#define __CONFIG_ZYNQ_ZED_H
+
+#define CONFIG_SYS_SDRAM_SIZE		(512 * 1024 * 1024)
+#define CONFIG_SYS_FREQ_HZ		666666687
+#define CONFIG_ZYNQ_PS_CLK_FREQ		33333333UL
+
+#define CONFIG_ZYNQ_SERIAL_UART0
+
+#define CONFIG_SYS_NO_FLASH
+
+#define CONFIG_ZYNQ_SDHCI0
+
+#define CONFIG_ZYNQ_BOOT_FREEBSD
+
+
+
+#include <configs/zynq-common.h>
+
+#endif /* __CONFIG_ZYNQ_ZED_H */
